
Redmine - Defect #14357

Wrong encoding for Bazaar repository

2013-06-26 10:01 - Muhammad Bashir Al-Noimi

Status: New Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.4.4

Description

I configured my project for reading my bazaar repository but I surprised when I discoverd that redmine shows the log with '?'

charterers instead of Unicode (I'm using Arabic characters)

I read about similar bug but it seems fixed while I'm still face this issue!

How can I fix this issue?

PS

"bzr log" shows correctly (see this screenshot)

I configured redmine to use Arabic interface (see this screenshot)

My System locale

linux-server ~ # env

TERM=xterm

SHELL=/bin/bash

XDG_SESSION_COOKIE=8bc01c29c7eefef0c99074e800000005-1370964589.800340-2108479271

SSH_CLIENT=192.168.0.129 45329 22

SSH_TTY=/dev/pts/1

USER=root

MAIL=/var/mail/root

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games

PWD=/root

LANG=en_US.UTF-8

SHLVL=1

HOME=/root

LOGNAME=root

SSH_CONNECTION=192.168.0.129 45329 192.168.0.74 22

_=/usr/bin/env

linux-server ~ # dpkg-reconfigure locales

Generating locales...

  ar_LY.UTF-8... up-to-date

  ar_SA.UTF-8... up-to-date

  ar_SY.UTF-8... up-to-date

  en_AG.UTF-8... up-to-date

  en_AU.UTF-8... up-to-date

  en_BW.UTF-8... up-to-date

  en_CA.UTF-8... up-to-date

  en_DK.UTF-8... up-to-date

  en_GB.UTF-8... up-to-date

  en_HK.UTF-8... up-to-date

  en_IE.UTF-8... up-to-date

  en_IN.UTF-8... up-to-date

  en_NG.UTF-8... up-to-date

  en_NZ.UTF-8... up-to-date

  en_PH.UTF-8... up-to-date

  en_SG.UTF-8... up-to-date

  en_US.UTF-8... up-to-date

  en_ZA.UTF-8... up-to-date
  en_ZM.UTF-8... up-to-date

  en_ZW.UTF-8... up-to-date

Generation complete.

linux-server ~ # locale

LANG=en_US.UTF-8

LANGUAGE=

LC_CTYPE="en_US.UTF-8" 

LC_NUMERIC="en_US.UTF-8" 

LC_TIME="en_US.UTF-8" 

LC_COLLATE="en_US.UTF-8" 

LC_MONETARY="en_US.UTF-8" 

LC_MESSAGES="en_US.UTF-8" 

LC_PAPER="en_US.UTF-8" 

LC_NAME="en_US.UTF-8" 

LC_ADDRESS="en_US.UTF-8" 

LC_TELEPHONE="en_US.UTF-8" 

LC_MEASUREMENT="en_US.UTF-8" 

LC_IDENTIFICATION="en_US.UTF-8" 

LC_ALL=

linux-server ~ # 

 Postgresql configuration

-- Database: redmine_default

-- DROP DATABASE redmine_default;

CREATE DATABASE redmine_default

  WITH OWNER = postgres

       ENCODING = 'UTF8'

       TABLESPACE = pg_default

       LC_COLLATE = 'en_US.UTF-8'

       LC_CTYPE = 'en_US.UTF-8'

       CONNECTION LIMIT = -1;

History

#1 - 2013-06-26 10:37 - Toshi MARUYAMA

- Category changed from I18n to SCM

#2 - 2013-06-26 10:41 - Toshi MARUYAMA

Is webserver (e.g. apache passenger) user root?

"bzr log" encoding depends on user locale.

#3 - 2013-06-26 10:43 - Toshi MARUYAMA

- Subject changed from Wrong encoding for Bzr repository to Wrong encoding for Bazaar repository

#4 - 2013-06-26 10:51 - Muhammad Bashir Al-Noimi

Toshi MARUYAMA wrote:

Is webserver (e.g. apache passenger) user root?

 what do you mean?

#5 - 2013-06-26 11:28 - Toshi MARUYAMA

On my CentOS6

$ ps -ef | grep -i pass

root      1411  1395  0 17:58 ?        00:00:00 PassengerWatchdog

root      1416  1411  0 17:58 ?        00:00:00 PassengerHelperAgent

root      1420  1416  0 17:58 ?        00:00:00 Passenger spawn server                                        

       

nobody    1423  1411  0 17:58 ?        00:00:00 PassengerLoggingAgent

xxxxxx    1539  1420  1 18:24 ?        00:00:02 Passenger ApplicationSpawner: /REDMINE/MY-REDMINE/test-3000   
xxxxxx    1616  1420  2 18:25 ?        00:00:02 Passenger ApplicationSpawner: /REDMINE/MY-REDMINE/test-4000   

       

xxxxxx    1659  1551  0 18:27 pts/0    00:00:00 grep -i pass

#6 - 2013-06-26 11:31 - Toshi MARUYAMA

http://www.modrails.com/documentation/Users%20guide%20Apache.html#finding_out_app_user

#7 - 2013-06-26 18:14 - Muhammad Bashir Al-Noimi

Toshi MARUYAMA wrote:

On my CentOS6

 
linux-server ~ # ps -ef | grep -i pass

root      2187  2171  0 Jun25 ?        00:00:00 /usr/lib/phusion_passenger/ApplicationPoolServerExecutable 0 /

usr/lib/phusion_passenger/passenger-spawn-server  /usr/bin/ruby  /tmp/passenger.2151

root      2189  2187  0 Jun25 ?        00:01:39 Passenger spawn server                                        

                                                                                   

www-data 23222  2189  1 17:09 ?        00:00:04 Passenger ApplicationSpawner: /usr/share/redmine              

                                                                                   

root     23696 23645  0 17:15 pts/0    00:00:00 grep --colour=auto -i pass

linux-server ~ # 

 I'm using ubuntu

#8 - 2013-06-26 19:21 - Toshi MARUYAMA

What is locale of www-data user?

What is result of "bzr log" of www-data user?

#9 - 2013-06-26 22:38 - Muhammad Bashir Al-Noimi

Toshi MARUYAMA wrote:

What is locale of www-data user?

What is result of "bzr log" of www-data user?

 www-data just a user/group created by tasksel LAMP. How can I get its local?

#10 - 2013-06-27 00:17 - Toshi MARUYAMA

Muhammad Bashir Al-Noimi wrote:

Toshi MARUYAMA wrote:

What is locale of www-data user?

What is result of "bzr log" of www-data user?

 www-data just a user/group created by tasksel LAMP. How can I get its local?

 On root user, "# su - www-data".

#11 - 2013-06-27 18:16 - Muhammad Bashir Al-Noimi

Toshi MARUYAMA wrote:

On root user, "# su - www-data".

 
linux-server master # su - www-data

$ locale

LANG=en_US.UTF-8

LANGUAGE=

LC_CTYPE="en_US.UTF-8" 

LC_NUMERIC="en_US.UTF-8" 

LC_TIME="en_US.UTF-8" 

LC_COLLATE="en_US.UTF-8" 

LC_MONETARY="en_US.UTF-8" 

LC_MESSAGES="en_US.UTF-8" 
LC_PAPER="en_US.UTF-8" 

LC_NAME="en_US.UTF-8" 

LC_ADDRESS="en_US.UTF-8" 

LC_TELEPHONE="en_US.UTF-8" 

LC_MEASUREMENT="en_US.UTF-8" 

LC_IDENTIFICATION="en_US.UTF-8" 

LC_ALL=

$ bzr log

bzr: ERROR: Not a branch: "/var/www/".

$ 

 By the way, I upgraded redmine to version 2.3.1 but I still get same issue

#12 - 2013-06-28 00:26 - Toshi MARUYAMA

- File settings.png added

What is "Commit messages encoding"?

 

#13 - 2013-06-28 10:41 - Muhammad Bashir Al-Noimi

Toshi MARUYAMA wrote:

What is "Commit messages encoding"?

 UTF-8

P.S. I tried CP1256 but I got similar behavior

#14 - 2013-06-28 14:28 - Toshi MARUYAMA

I have no idea.

Bazaar is poor than Subversion and Mercurial and Git.

Subversion and Mercurial support xml output, but Bazaar does not.

Mercurial and Git can set encoding, but Bazaar cannot.

Mercurial: source:tags/2.3.1/lib/redmine/scm/adapters/mercurial_adapter.rb#L304

Git: source:tags/2.3.1/lib/redmine/scm/adapters/git_adapter.rb#L172

#15 - 2013-06-28 14:34 - Toshi MARUYAMA

I recommend you to switch from Bazaar to Mercurial or Git.

Because Bazaar is no longer being actively developed.

https://lists.ubuntu.com/archives/bazaar/2012q4/075330.html

http://www.stationary-traveller.eu/pages/bzr-a-retrospective.html

#16 - 2013-06-28 14:49 - Muhammad Bashir Al-Noimi

Toshi MARUYAMA wrote:

I recommend you to switch from Bazaar to Mercurial or Git.

Because Bazaar is no longer being actively developed.

https://lists.ubuntu.com/archives/bazaar/2012q4/075330.html

http://www.stationary-traveller.eu/pages/bzr-a-retrospective.html
 unfortunately, currently this is not an option to me because we use bzr many years ago,but the only option I've to do is finding a solution for redmine

or I've to replace redmine with something else.

As I mentioned before I've no experience with Ruby so the only place to get support is here.

#17 - 2013-06-28 15:32 - Toshi MARUYAMA

Muhammad Bashir Al-Noimi wrote:

I've to replace redmine with something else.

 But, Trac with Bazaar has problems.

http://lists.nvaccess.org/pipermail/nvda-dev/2013-April/032163.html

Files

settings.png 15.2 KB 2013-06-27 Toshi MARUYAMA

Powered by TCPDF (www.tcpdf.org)

2024-03-13 5/5

http://lists.nvaccess.org/pipermail/nvda-dev/2013-April/032163.html
http://www.tcpdf.org

